
TYPO3.Flow - Bug # 52448

Status: Resolved Priority: Should have
Author: Christian Müller Category: Object
Created: 2013-10-02 Assigned To: Christian Müller
Updated: 2013-10-02 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Serialization of objects should exclude transient properties
Description

We still check for a "tag" annotation to exclude transient properties from serialization. That is wrong and transient properties are
always serialized.

Associated revisions
Revision 791b5704 - 2013-10-02 09:37 - Christian Müller

[BUGFIX] Transient Properties should not be serialized

Properties annoated with the \TYPO3\Flow\Annotations\Transient
annotation should not be serialized in the autogenerated __sleep
method.

Fixes: #52448
Releases: master, 2.0
Change-Id: Ife9a6fb645816ff70fd0fa68d62837c449ef2cf5

Revision 26ee5d83 - 2013-10-02 19:01 - Christian Müller

[BUGFIX] Transient Properties should not be serialized

Properties annotated with the \TYPO3\Flow\Annotations\Transient
annotation should not be serialized in the autogenerated __sleep
method.

Fixes: #52448
Releases: master, 2.0
Change-Id: Ife9a6fb645816ff70fd0fa68d62837c449ef2cf5

History
#1 - 2013-10-02 08:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24238
#2 - 2013-10-02 09:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24238

#3 - 2013-10-02 09:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24238

#4 - 2013-10-02 13:43 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/24253

#5 - 2013-10-02 14:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:791b57041971f80a50bcbc3194be2bbba698a033.

#6 - 2013-10-02 19:05 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/24253

#7 - 2013-10-02 19:35 - Christian Müller
- Status changed from Under Review to Resolved

Applied in changeset commit:26ee5d83293a022eb4b1ee7048ba3bd1c6cd4ccc.

2015-08-04 2/2

https://review.typo3.org/24238
https://review.typo3.org/24238
https://review.typo3.org/24253
https://review.typo3.org/24253

